
Efl_Object *_efl_ui_check_efl_object_constructor(Eo *obj, Efl_Ui_Check_Data *pd);


Eina_Bool _efl_ui_check_efl_ui_widget_on_access_activate(Eo *obj, Efl_Ui_Check_Data *pd, Efl_Ui_Activate act);


Eina_Error _efl_ui_check_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Check_Data *pd);


Eina_Bool _efl_ui_check_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Check_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


Efl_Access_State_Set _efl_ui_check_efl_access_object_state_set_get(const Eo *obj, Efl_Ui_Check_Data *pd);


const Efl_Access_Action_Data *_efl_ui_check_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Check_Data *pd);


Eina_Bool _efl_ui_check_efl_content_content_set(Eo *obj, Efl_Ui_Check_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_check_efl_content_content_get(const Eo *obj, Efl_Ui_Check_Data *pd);


Efl_Gfx_Entity *_efl_ui_check_efl_content_content_unset(Eo *obj, Efl_Ui_Check_Data *pd);


void _efl_ui_check_efl_text_text_set(Eo *obj, Efl_Ui_Check_Data *pd, const char *text);


const char *_efl_ui_check_efl_text_text_get(const Eo *obj, Efl_Ui_Check_Data *pd);


void _efl_ui_check_efl_ui_l10n_l10n_text_set(Eo *obj, Efl_Ui_Check_Data *pd, const char *label, const char *domain);


const char *_efl_ui_check_efl_ui_l10n_l10n_text_get(const Eo *obj, Efl_Ui_Check_Data *pd, const char **domain);


void _efl_ui_check_efl_ui_selectable_selected_set(Eo *obj, Efl_Ui_Check_Data *pd, Eina_Bool selected);


Eina_Bool _efl_ui_check_efl_ui_selectable_selected_get(const Eo *obj, Efl_Ui_Check_Data *pd);


static Eina_Bool
_efl_ui_check_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_CHECK_EXTRA_OPS
#define EFL_UI_CHECK_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_check_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_on_access_activate, _efl_ui_check_efl_ui_widget_on_access_activate),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_check_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_check_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_access_object_state_set_get, _efl_ui_check_efl_access_object_state_set_get),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_check_efl_access_widget_action_elm_actions_get),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_check_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_check_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_check_efl_content_content_unset),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_check_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_check_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_check_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_check_efl_ui_l10n_l10n_text_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_selected_set, _efl_ui_check_efl_ui_selectable_selected_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_selected_get, _efl_ui_check_efl_ui_selectable_selected_get),
      EFL_UI_CHECK_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_check_class_desc = {
   EO_VERSION,
   "Efl.Ui.Check",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Check_Data),
   _efl_ui_check_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_check_class_get, &_efl_ui_check_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_ACCESS_WIDGET_ACTION_MIXIN, EFL_TEXT_INTERFACE, EFL_CONTENT_INTERFACE, EFL_INPUT_CLICKABLE_MIXIN, EFL_UI_SELECTABLE_INTERFACE, NULL);
